const path = require('path');

const mkdirp = require('mkdirp');

const request = require('request');

const unzip = require('unzip');

const fs = require('fs');

const download = require('download-git-repo')

module.exports = {
  async downloadGitZipFileAndExtract(zipUrl, type, destPath) {
    return new Promise((resolve) => {
      if (fs.existsSync(destPath)) {
        resolve(`文件夹 '${destPath}' 已存在`);
        process.exit(1);
        return;
      }
      let repositoryUrl = type+':'+zipUrl;
      if (type === 'gitlab'){
        repositoryUrl = type+':http://221.178.153.117:3001:'+zipUrl;
      }else if (type === 'github'){
        repositoryUrl = type+':https://github.com:'+zipUrl;
      }
      download(repositoryUrl, destPath,function (err) {
        if (err) {
          process.exit(1);
        }
        resolve();
      });
    });
  }
}
